// kombinace bez opakování
function [vysledek]=kombinace(k,n)
// k ... pocet k-clennych skupin
// n ... pocet prvku
    if n<171 then
        vysledek=factorial(n)/(factorial(n-k)*factorial(k))
    else
        soucin=1;
        for i=k+1:n
            soucin=soucin*i
        end
        vysledek=soucin/factorial(n-k)
    end
    
endfunction

// kombinace s opakováním
function [vysledek]=kombinace_s_opakovanim(k,n)
// k ... pocet k-clennych skupin
// n ... pocet prvku
    vysledek=factorial(n+k-1)/(factorial(n-1)*factorial(k))
endfunction

//variace bez opakování
function [vysledek]=variace(k,n)
// k ... pocet k-clennych skupin
// n ... pocet prvku
    if n<171 then
        vysledek=factorial(n)/factorial(n-k)
    else      
        soucin=1;
        for i=(n-k)+1:n
            soucin=soucin*i
        end
        vysledek=soucin;
    end   
endfunction

// variace s opakováním
function [vysledek]=variace_s_opakovanim(k,n)
// k ... pocet k-clennych skupin
// n ... pocet prvku
    if n<171 then
        vysledek=n^k
    end
endfunction

//permutace
function [vysledek]=permutace(n)
//n... pocet prvku
    vysledek=factorial(n);
endfunction

